Public Member Functions | Public Attributes | List of all members
MarinerWrtGraphInternal::State Struct Reference

Internal: the state of a MarinerWrtGraph. More...

## Public Member Functions
| State ()
| constructor More...
void | setDefaultPatternList (int version)
| set the default pattern map More...
Zone & | getZone (int id)
| return a reference to a textzone ( if zone not exists, created it ) More...

## Public Attributes
std::map< int, Zone > | m_zoneMap
| a map id -> textZone More...
std::vector< Pattern > | m_patternList
| a list patternId -> percent More...
int | m_numPages

## Detailed Description

Internal: the state of a MarinerWrtGraph.

## Constructor & Destructor Documentation

## ◆ State()

MarinerWrtGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getZone()

Zone& MarinerWrtGraphInternal::State::getZone | ( | int | id | ) |
| inline

return a reference to a textzone ( if zone not exists, created it )

## ◆ setDefaultPatternList()

void MarinerWrtGraphInternal::State::setDefaultPatternList | ( | int | version | ) |

set the default pattern map

## Member Data Documentation

## ◆ m_numPages

int MarinerWrtGraphInternal::State::m_numPages

## ◆ m_patternList

std::vector<Pattern> MarinerWrtGraphInternal::State::m_patternList

a list patternId -> percent

## ◆ m_zoneMap

std::map<int,Zone> MarinerWrtGraphInternal::State::m_zoneMap

a map id -> textZone

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx